{% extends "base.html" %}
{% block main %}
<h1>Créer un compte</h1>
<form class="" action="{{ url_for('new_compte') }}" method="post">
  {{ form.hidden_tag() }}
  <div class="form-group">
      <label for="username" class="col-sm-6 control-label">{{ form.username.label}}</label>
      <div class="col-sm-10">
          {{ form.username(size=50, class_="form-control", placeholder="Enter username", required=True) }}
          <div class="valid-feedback">Valid.</div>
          <div class="invalid-feedback">Please fill out this field</div>
      </div>
      <br>
      {% for error in form.username.errors %}
          <span class="alert alert-danger">{{ error }}</span>
      {% endfor %}
  </div>
  <div class="form-group">
      <label for="password" class="col-sm-6 control-label">{{ form.password.label}}</label>
      <div class="col-sm-10">
          {{ form.password(size=50, class_="form-control", placeholder="Enter username", required=True) }}
          <div class="valid-feedback">Valid.</div>
          <div class="invalid-feedback">Please fill out this field.</div>
      </div>
  </div>
  <div class="form-group">
      <label for="password_validation" class="col-sm-6 control-label">{{ form.password2.label}}</label>
      <div class="col-sm-10">
          {{ form.password2(size=50, class_="form-control", placeholder="Repeat password", required=True) }}
          <div class="valid-feedback">Valid.</div>
          <div class="invalid-feedback">Please fill out this field.</div>
      </div>
      <br>
      {% for error in form.password2.errors %}
          <span class="alert alert-danger">{{ error }}</span>
      {% endfor %}
  </div>
  <div class="form-group">
      <div class="col-sm-offset-2 col-sm-10">
          <button type="submit" class="btn btn-success">Valider</button>
      </div>
  </div>
  {% if form.password.errors %}
  <ul class="list-group">
      {% for e in form.name.errors %}
      <li class="list-group-item list-group-item-danger">{{ e }}</li>
      {% endfor %}
  </ul>
  {% endif %}
</form>
{% endblock %}
